
=encoding utf8

=head1 NAME

Sidef::Time::Date

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Date(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 !=

    a != b

Returns the

Aliases: I<ne>

=cut

=head2 +

    a + b

Returns the

Aliases: I<add>, I<add_seconds>

=cut

=head2 -

    a - b

Returns the

Aliases: I<sub>, I<subtract>

=cut

=head2 <

    a < b

Returns the

Aliases: I<lt>

=cut

=head2 <=

    a <= b

Returns the

Aliases: I<le>

=cut

=head2 <=>

    a <=> b

Returns the

Aliases: I<cmp>

=cut

=head2 ==

    a == b

Returns the

Aliases: I<eq>

=cut

=head2 >

    a > b

Returns the

Aliases: I<gt>

=cut

=head2 >=

    a >= b

Returns the

Aliases: I<ge>

=cut

=head2 add_days

    Date.add_days()

Returns the

=cut

=head2 add_months

    Date.add_months()

Returns the

=cut

=head2 add_years

    Date.add_years()

Returns the

=cut

=head2 call

    Date.call()

Returns the

=cut

=head2 date

    Date.date()

Returns the

=cut

=head2 day

    Date.day()

Returns the

Aliases: I<mday>, I<month_day>

=cut

=head2 dmy

    Date.dmy()

Returns the

=cut

=head2 dump

    Date.dump()

Returns the

=cut

=head2 epoch

    Date.epoch()

Returns the

=cut

=head2 format

    Date.format()

Returns the

Aliases: I<strftime>

=cut

=head2 fullmonth

    Date.fullmonth()

Returns the

=cut

=head2 gmt

    Date.gmt()

Returns the

Aliases: I<gmtime>

=cut

=head2 hour

    Date.hour()

Returns the

=cut

=head2 isdst

    Date.isdst()

Returns the

Aliases: I<daylight_savings>

=cut

=head2 julian_day

    Date.julian_day()

Returns the

=cut

=head2 local

    Date.local()

Returns the

Aliases: I<localtime>

=cut

=head2 mdy

    Date.mdy()

Returns the

=cut

=head2 min

    Date.min()

Returns the

Aliases: I<minute>

=cut

=head2 mon

    Date.mon()

Returns the

Aliases: I<month>

=cut

=head2 monname

    Date.monname()

Returns the

=cut

=head2 month_last_day

    Date.month_last_day()

Returns the

=cut

=head2 now

    Date.now()

Returns the

Aliases: I<today>

=cut

=head2 parse

    Date.parse()

Returns the

Aliases: I<strptime>

=cut

=head2 sec

    Date.sec()

Returns the

Aliases: I<second>

=cut

=head2 time

    Date.time()

Returns the

=cut

=head2 to_s

    Date.to_s()

Returns the

Aliases: I<cdate>, I<ctime>, I<to_str>

=cut

=head2 truncate_to_day

    Date.truncate_to_day()

Returns the

=cut

=head2 truncate_to_hour

    Date.truncate_to_hour()

Returns the

=cut

=head2 truncate_to_minute

    Date.truncate_to_minute()

Returns the

=cut

=head2 truncate_to_month

    Date.truncate_to_month()

Returns the

=cut

=head2 truncate_to_quarter

    Date.truncate_to_quarter()

Returns the

=cut

=head2 truncate_to_second

    Date.truncate_to_second()

Returns the

=cut

=head2 truncate_to_year

    Date.truncate_to_year()

Returns the

=cut

=head2 valid

    Date.valid()

Returns the

Aliases: I<valid_date>

=cut

=head2 wday

    Date.wday()

Returns the

Aliases: I<week_day>

=cut

=head2 wdayname

    Date.wdayname()

Returns the

=cut

=head2 week

    Date.week()

Returns the

=cut

=head2 yday

    Date.yday()

Returns the

Aliases: I<year_day>

=cut

=head2 year

    Date.year()

Returns the

=cut

=head2 ymd

    Date.ymd()

Returns the

=cut

=head2 yy

    Date.yy()

Returns the

=cut
